const express = require('express');
const router = express.Router();
const authorize = require('../middleware/authorize');
const Role = require('../lib/role')
const RestaurantController = require('../controllers/restaurant');




//get all restaurants
router.get("/", authorize([Role.Employee,Role.Admin]), RestaurantController.getAllRestaurants);

//post restaurants
router.post("/", authorize([Role.Admin]), RestaurantController.postAllRestaurants);



module.exports = router; 